> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /field-mappings

GET https://api.merge.dev/api/accounting/v1/field-mappings

Get all Field Mappings for this Linked Account. Field Mappings are mappings between third-party Remote Fields and user defined Merge fields. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/overview/).

Reference: https://docs.merge.dev/merge-unified/accounting/linked-account/field-mapping/field-mappings-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `exclude_remote_field_metadata` (boolean, optional) — If `true`, remote fields metadata is excluded from each field mapping instance (i.e. `remote_fields.remote_key_name` and `remote_fields.schema` will be null). This will increase the speed of the request since these fields require some calculations.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `Account` (list of FieldMappingApiInstance, optional)
- `AccountingAttachment` (list of FieldMappingApiInstance, optional)
- `BalanceSheet` (list of FieldMappingApiInstance, optional)
- `CashFlowStatement` (list of FieldMappingApiInstance, optional)
- `CompanyInfo` (list of FieldMappingApiInstance, optional)
- `Contact` (list of FieldMappingApiInstance, optional)
- `IncomeStatement` (list of FieldMappingApiInstance, optional)
- `CreditNote` (list of FieldMappingApiInstance, optional)
- `Item` (list of FieldMappingApiInstance, optional)
- `PurchaseOrder` (list of FieldMappingApiInstance, optional)
- `SalesOrder` (list of FieldMappingApiInstance, optional)
- `ItemFulfillment` (list of FieldMappingApiInstance, optional)
- `ExpenseReport` (list of FieldMappingApiInstance, optional)
- `TrackingCategory` (list of FieldMappingApiInstance, optional)
- `JournalEntry` (list of FieldMappingApiInstance, optional)
- `TaxRate` (list of FieldMappingApiInstance, optional)
- `Invoice` (list of FieldMappingApiInstance, optional)
- `Payment` (list of FieldMappingApiInstance, optional)
- `Expense` (list of FieldMappingApiInstance, optional)
- `VendorCredit` (list of FieldMappingApiInstance, optional)
- `Transaction` (list of FieldMappingApiInstance, optional)
- `AccountingPeriod` (list of FieldMappingApiInstance, optional)
- `GeneralLedgerTransaction` (list of FieldMappingApiInstance, optional)
- `BankFeedAccount` (list of FieldMappingApiInstance, optional)
- `Employee` (list of FieldMappingApiInstance, optional)
- `PaymentMethod` (list of FieldMappingApiInstance, optional)
- `Project` (list of FieldMappingApiInstance, optional)
- `PaymentTerm` (list of FieldMappingApiInstance, optional)

## Types

### FieldMappingApiInstance

- `id` (string, optional)
- `is_integration_wide` (boolean, optional)
- `target_field` (FieldMappingApiInstanceTargetField, optional, nullable)
- `remote_field` (FieldMappingApiInstanceRemoteField, optional, nullable)
- `jmes_path` (string, optional, nullable)
- `advanced_mapping_expression` (string, optional, nullable)

### FieldMappingApiInstanceTargetField

- `name` (string, required)
- `description` (string, required)
- `is_organization_wide` (boolean, required)

### FieldMappingApiInstanceRemoteField

- `remote_key_name` (string, required, nullable)
- `schema` (map from string to any, required, nullable)
- `remote_endpoint_info` (FieldMappingApiInstanceRemoteFieldRemoteEndpointInfo, required)

### FieldMappingApiInstanceRemoteFieldRemoteEndpointInfo

- `method` (string, required, nullable)
- `url_path` (string, required, nullable)
- `field_traversal_path` (list of string, required, nullable)

## Examples

**Response**

```json
{
  "Account": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "AccountingAttachment": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "BalanceSheet": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "CashFlowStatement": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "CompanyInfo": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Contact": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "IncomeStatement": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "CreditNote": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Item": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "PurchaseOrder": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "SalesOrder": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "ItemFulfillment": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "ExpenseReport": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "TrackingCategory": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "JournalEntry": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "TaxRate": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Invoice": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Payment": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Expense": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "VendorCredit": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Transaction": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "AccountingPeriod": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "GeneralLedgerTransaction": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "BankFeedAccount": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Employee": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "PaymentMethod": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "Project": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ],
  "PaymentTerm": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "is_integration_wide": true,
      "target_field": {
        "name": "example_target_field_name",
        "description": "this is a example description of a target field",
        "is_organization_wide": true
      },
      "remote_field": {
        "remote_key_name": "example_remote_field_key",
        "schema": {
          "type": "string"
        },
        "remote_endpoint_info": {
          "method": "GET",
          "url_path": "/example-url-path",
          "field_traversal_path": [
            "example_remote_field_key"
          ]
        }
      },
      "jmes_path": "[0].example_jmes_path",
      "advanced_mapping_expression": "$[0].example_jsonata"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/field-mappings"

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/field-mappings';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/field-mappings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/field-mappings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/accounting/v1/field-mappings")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/accounting/v1/field-mappings', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/field-mappings");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/field-mappings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```